Subject: Re: Cherry-pick dangles and forgets helpful advice in next

From: Phil Hord <[email-masked]>
Date: Wed, 30 May 2012 19:40:19 -0400

Junio C Hamano wrote:

> Instead of reverting the entire thing, perhaps we can fix the
> regression like this.
>
> With this, we no longer unconditionally give "--allow-empty" when we
> run "git commit", when --allow-empty (which is only about commits
> that are originally empty) is given to cherry-pick; specifically,
> when the user did not ask for --keep-redundant-commit, we do not
> give "--allow-empty" if the original commit is not.
>
> Thinking about it again, I _think_ we do not even have to check if
> the result is an empty commit ourselves ("git commit" will do that
> for us anyway), so we might want to rip "is_empty_commit()" out of
> the problematic patch and keep only "is_index_unmodified()" bit, but
> for now I think this may be good enough.
>
> Phil, does it fix your issue?
Yes, it appears to fix my issue.  I don't have the original condition in
play anymore, but it fixes the test case I cooked up earlier.

Thanks,
Phil